/* --- panel borders --- */
.animated-card .hover-link {
	border: none; /* gets rid of border completely */
}
/* --- end panel borders --- */


/* --- adding arrow back to button ---
.c-panel>:last-child::after, .c-panel-flip>.c-panel>:nth-last-child(2)::after {
content: "\f105";
} */

.animated-card .c-panel.hover-link:hover {
	transform: translateY(0px) !important;
}


/* --- card tags --- */

.tag {
	background: #ffffff;
	border: 1px solid #666666;
	color: #2a2a2a;
	padding: 1px 5px;
	text-align: center;
	border-radius: 25px;
	font-size: 0.85rem;
}

.tag-top-left {
	position: absolute;
	display: flex;
	top: 12px;
	left: 0px;
	justify-content: center;
	align-items: center;
	width: 100%;
}




.tag-majors-page {

	display: flex;
	/*top: 12px;
	left: 0px;
	justify-content: center;
	align-items: center;
	width: 100%;*/
}

.tag-majors-page .tag {
	margin-right: 5px;
}

.tag-majors-wrapper {

	display: flex; 
	flex-wrap: wrap; 
	justify-content: space-between;
	align-items: center; 
}




.tag-top-left div:not(:first-child) { 
	margin-left: 3px; 
} 

/* --- end tags --- */	 

/* --- full height animated cards --*/

.animated-card {
	height: 100%;
}

/* --- end full height animated cards --- */

/* --- button animations --- */
.animated-card .uu-btn {
	color: #2a2a2a !important;
	border: 2px solid #2a2a2a;
	background: linear-gradient(to left, transparent 50%, #2a2a2a 50%) right;
	background-size: 201%;
	transition: .5s ease-out;
	padding: 10px 20px 10px 20px;
}

.animated-card .uu-btn::after {
	content: none;

}

.animated-card:hover .uu-btn, 
.animated-card .uu-btn:focus {
	background-position: left !important;
	background-color: transparent !important;
	color: #ffffff !important;

}

/* --- end button animations --- */

/* -- animated border -- */

.animated-border:before,
.animated-border:after {
	content:'';
	height: 0;
	width: 0;
	border: 2px solid transparent;
	position:absolute;
	box-sizing: border-box;
}

.animated-border:before {
	bottom: 0;
	left: 0;
}

.animated-border:after {
	top: 0;
	right: 0;
}

.animated-card:hover .animated-border:before,
.animated-card:hover .animated-border:after,
.animated-card:focus .animated-border:before,
.animated-card:focus .animated-border:after {
	border: 2px solid #666666;
	width:100%;
	height: 100%;

}

.animated-card:hover .animated-border:before,
.animated-card:focus .animated-border:before {
	border-right: none;
	border-bottom: none;
	transition: height 0.15s linear,
		width 0.3s linear 0.15s;
}

.animated-card:hover .animated-border:after,
.animated-card:focus .animated-border:after {
	border-left: none;
	border-top: none;
	transition: height 0.15s linear,
		width 0.3s linear 0.15s;
}

/* -- end animated border -- */

/* -- show-reveal animation -- 
------- reveal are the things that are hidden, that will show on hover ----
-------- show-first are the things that are visible that hide on hover ----*/

.animated-card {
	min-height: 410px;
}

.animated-card p {
	max-height: 200px;
	overflow: hidden;
}

.animated-card .reveal {
	opacity: 0;
	visibility: hidden;
	height: 0;
	transition: visibility 0s, height 3s ease-in, opacity 1s ease-out;
	margin-bottom: 0px;
}

.animated-card:hover .reveal,
.animated-card:focus .reveal {
	visibility: visible;
	opacity: 1;
	height: auto;
}


.animated-card .show-first {
	visibility: visible;
	height: auto;
	opacity: 1;
	transition: visibility 0s, height 3s ease-out, opacity 1s ease-out;
}

.animated-card:hover .show-first,
.animated-card:focus .show-first {
	visibility: hidden;
	height: 0px;
	opacity: 0;
}

.animated-card:hover h2,
.animated-card:focus h2 {
	margin-top: 30px;
}

/* -- show-reveal animation -- */

/* -- animated card bottom fade -- */
.reveal:before {
	content: "";
	position: absolute;
	bottom: 65px;
	left: 0;
	margin-left: 2px;
	height: 75px;
	width: calc(100% - 4px);
	background: linear-gradient(to bottom, rgba(255,255,255,0) 0%, #fff 70%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 );
}

/* --- Hide Mobile Only --- */
.mobile-only {
	display: none;
}

/* --- End Hide Mobile Only --- */




/* ======== Larger Screen Styles ========== */




/* ====== End Larger Screen Styles ======= */


@media screen and (min-width: 1024px){
	.related-cols img {
		max-height: 244.75px; /* keep all image in related majors area the same height */
	}
}


/* ======== Mobile Styles ========== */

@media screen and (max-width: 600px){

	/* --- hide non-mobile elements --- */

	.animated-card .uu-btn, .animated-card .reveal {
		display: none;
	}

	/* --- end hide non-mobile elements --- */

	/* --- align text left --- */

	.animated-card h2, .animated-card p {
		text-align: left;
	}

	/* --- end align text left --- */

	/* --- switch card format to be in a row --- */

	.animated-card .hover-link {
		display: flex;
		flex-direction: row;
		align-items: center;
		padding: 12px 12px 50px 12px;
	}

	.animated-card .full-height {
		height: auto;	/* overrides full-height */
		margin-bottom: 0px;
		position:relative;
	}

	.animated-card {
		min-height: initial;
	}

	.animated-card .img-container {
		flex: 0 0 100px;
	}

	.animated-card .img-container img {
		width: 100%; /* overrides img overflow */
		margin: auto;
	}

	.animated-card h2 {
		flex: 1 1; /* allows heading to stretch all the way across card */
		margin-left: 15px;  /* space between image and text */
		margin-bottom: 0px; /* allows heading to vertically center */
	}

	.animated-card:hover h2,
	.animated-card:focus h2 {
		margin-top: 0px;
	}

	/* --- end switch card format to be in a row --- */

	/* --- override animation --- */

	.animated-card:hover .show-first, .animated-card:focus .show-first {
		visibility: visible;
		height: auto;
		opacity: 1;
	}

	/* --- end override animation --- */

	/* --- Image Location --- */

	.c-grid-layout__cell {
		margin-bottom: 15px;
	}

	.animated-card .img-container {
		display: flex;
		flex-direction: column;
	}

	/* --- End Image Location --- */

	/* --- Tag Placement --- */

	.tag-top-left {
		top: initial;
		left: 0px;
		justify-content: flex-end;
		background: #f1f1f1;
		padding: 7px;
		bottom: 0;

	}	

	.animated-card:hover .tag-top-left,
	.animated-card:focus .tag-top-left {
		width: calc(100% - 4px);
		margin-left: 2px;
	}

	/* --- End Tag Placement --- */
	/* --- Show Mobile Only --- */
	.mobile-only {
		display: block;
		color: #2a2a2a !important;
	}

	.mobile-only:focus,
	.animated-card:hover .mobile-only 
	{
		color: #cc0000 !important;
	}



	/* --- End Mobile Only --- */

}


/* ======== End Mobile Styles ========== */

